View Issue Details

IDProjectCategoryView StatusLast Update
0001766NoesisGUIC# SDKpublic2020-08-31 12:23
ReportersamcAssigned Tojsantos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.1 
Target Version3.0.5Fixed in Version3.0.5 
Summary0001766: Unity SceneView shows UI inverted
DescriptionNot sure if this is something we're doing; when playing our game, the UI looks great, but if you switch to Scene View the UI still renders, but it's upside down (see attached screen shot).
Steps To Reproduce1) Play in Unity Editor
2) Switch to Scene Mode tab
TagsUnity
PlatformWindows

Activities

samc

samc

2020-08-03 23:15

reporter  

Noesis_SceneView_Bug.png (222,640 bytes)
Noesis_SceneView_Bug.png (222,640 bytes)
jsantos

jsantos

2020-08-31 12:23

manager   ~0006603

It seems that UI is being rendered in HDRP and it shouldn't (as in legacy pipeline or URP). I have disabled it in 3.0.5, with these changes:

Index: NoesisView.cs
===================================================================
--- NoesisView.cs	(revision 9558)
+++ NoesisView.cs	(revision 9559)
@@ -537,12 +537,18 @@
 
     private void BeginFrameRendering(ScriptableRenderContext context, Camera[] cameras)
     {
-        RenderOffscreen();
+        if (cameras[0].cameraType == CameraType.Game)
+        {
+            RenderOffscreen();
+        }
     }
 
     private void EndFrameRendering(ScriptableRenderContext context, Camera[] cameras)
-    {
-        RenderOnscreen();
+    {        
+        if (cameras[0].cameraType == CameraType.Game)
+        {
+            RenderOnscreen();
+        }
     }
 #endif

Issue History

Date Modified Username Field Change
2020-08-03 23:15 samc New Issue
2020-08-03 23:15 samc Tag Attached: Unity
2020-08-03 23:15 samc File Added: Noesis_SceneView_Bug.png
2020-08-04 10:49 jsantos Assigned To => jsantos
2020-08-04 10:49 jsantos Status new => assigned
2020-08-04 10:49 jsantos Product Version 3.1 => 3.0.1
2020-08-04 10:49 jsantos Target Version => 3.0.5
2020-08-04 10:49 jsantos Steps to Reproduce Updated View Revisions
2020-08-31 12:23 jsantos Status assigned => resolved
2020-08-31 12:23 jsantos Resolution open => fixed
2020-08-31 12:23 jsantos Fixed in Version => 3.0.5
2020-08-31 12:23 jsantos Note Added: 0006603